<?php 

/**
 * @package         TweetMe
 * @version         1.3.1 Free
 * 
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2020 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

defined('_JEXEC') or die;

$data = $displayData;
$text = 'Your text goes here..';

?>

<div class="nr">
	<h2 class="heading">Syntax</h2>
	<p>The syntax can be used wherever an HTML output is generated.</p>

	<h4 class="heading">Basic</h4>
	<code>{tweetme}<?php echo $text; ?>{/tweetme}</code>
	
	<h4 class="heading">Advanced</h4>
	<code>{tweetme param1=value|param2=value|param3=value}<?php echo $text; ?>{/tweetme}</code>

	<h2 class="heading">Components</h2>
	<p>Here is a list of all available components you can use.</p>

	<table class="table table-striped table-bordered">
		<thead>
			<tr>
				<th width="10%">Name</th>
				<th width="40%">Description</th>
				<th width="20%">Options</th>
				<th>Example</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>url</td>
				<td><?php echo JText::_("TWM_DESC_URL") ?></td>
				<td></td>
				<td><code>{tweetme url=http://www.tassos.gr}<?php echo $text; ?>{/tweetme}</code></td>
			</tr>
			<tr>
				<td>via<p><span class="label label-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_HANDLE_DESC") ?></td>
				<td></td>
				<td><code>{tweetme via=tassosm}<?php echo $text; ?>{/tweetme}</code></td>
			</tr>
			<tr>
				<td>related<p><span class="label label-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_RELATED_DESC") ?></td>
				<td></td>
				<td><code>{tweetme related=twitterhandlea,twitterhandleb}<?php echo $text; ?>{/tweetme}</code></code></td>
			</tr>
			<tr>
				<td>hashtags<p><span class="label label-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_HASHTAG_DESC") ?></td>
				<td></td>
				<td><code>{tweetme hashtags=value1,value2}<?php echo $text; ?>{/tweetme}</code></code></td>
			</tr>
			<tr>
				<td>mode <p><span class="label label-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_DISPLAY_MODE_DESC2") ?></td>
				<td>
					<span class="label">box</span>
					<span class="label">link</span>
					<span class="label">image</span>
				</td>
				<td><code>{tweetme mode=link}<?php echo $text; ?>{/tweetme}</code></td>
			</tr>
			<tr>
				<td>theme <p><span class="label label-success proOnly">PRO Only</span></p></td>
				<td>
					<?php echo JText::_("TWM_THEME_DESC2") ?> 
				</td>
				<td>
					<p>Box mode themes</p>
					<span class="label">t1_trans</span>
					<span class="label">t1_white</span>
					<span class="label">t1_light</span>
					<span class="label">t1_dark</span>
					<span class="label">t1_black</span>
					<span class="label">t1_blue</span>
					<span class="label">t2_trans</span>
					<span class="label">t2_white</span>
					<span class="label">t2_light</span>
					<span class="label">t2_dark</span>
					<span class="label">t2_black</span>
					<span class="label">t2_blue</span>
					<span class="label">t3_trans</span>
					<span class="label">t3_white</span>
					<span class="label">t3_blue</span>

					<p style="margin-top:20px;">Link mode themes</p>
					<span class="label">cl_blue</span>
					<span class="label">bg_white</span>
					<span class="label">bg_light</span>
					<span class="label">bg_dark</span>
					<span class="label">bg_black</span>
					<span class="label">bg_blue</span>
					<span class="label">bg_yellow</span>
					<span class="label">none</span>

					<p style="margin-top:20px;">Image mode themes</p>
					<span>Currently there is only 1 Image mode theme</span>
				</td>
				<td>
					<code>{tweetme theme=t3_blue}<?php echo $text; ?>{/tweetme}</code>
					<br><br>or<br><br>
					<code>{tweetme mode=link|theme=bg_yellow}<?php echo $text; ?>{/tweetme}</code>
					<br><br>or<br><br>
					<code>{tweetme mode=image|image=images/logo.jpg}<?php echo $text; ?>{/tweetme}</code>
				</td>
			</tr>
			<tr>
				<td>font <p><span class="label label-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_FONT_DESC") ?> </td>
				<td>
					<p>Standard Fonts</p>
					<span class="label">Arial</span>
					<span class="label">Georgia</span>
					<span class="label">Sans Serif</span>
					
					<p style="margin-top:20px;">Google Fonts</p>
					<span class="label">Roboto</span>
					<span class="label">Open Sans</span>
					<span class="label">Lato</span>
					<span class="label">Lora</span>
					<span class="label">Oswald</span>
					<span class="label">Montserrat</span>
					<span class="label">Source Sans PRO Only</span>
					<span class="label">Raleway</span>
					<span class="label">PT Sans</span>
					<span class="label">Droid Sans</span>
					<span class="label">Ubuntu</span>
					<span class="label">Fjalla One</span>
				</td>
				<td>
					<code>{tweetme font=Lato}<?php echo $text; ?>{/tweetme}</code>
					<br><br>or<br><br>
					<code>{tweetme font=Open Sans}<?php echo $text; ?>{/tweetme}</code>
				</td>
			</tr>
			<tr>
				<td>nofollow <p><span class="label label-success proOnly">PRO Only</span></p></td>
				<td><?php echo JText::_("TWM_NOFOLLOW_DESC") ?></td>
				<td><span class="label">1</span> <span class="label">0</span></td>
				<td><code>{tweetme nofollow=1|url=http://www.tassos.gr}<?php echo $text; ?>{/tweetme}</code></td>
			</tr>
			<tr>
				<td>buttontext</td>
				<td><?php echo JText::_("TWM_BUTTON_TEXT_DESC") ?></td>
				<td></td>
				<td><code>{tweetme buttontext=Please Share!}<?php echo $text; ?>{/tweetme}</code></td>
			</tr>
		</tbody>
	</table>
</div>

<style>
	.nr .heading, .nr table {
		margin:25px 0 10px 0;
	}

	.nr code {
		padding: 4px;
		font-weight: 600;
	}

	.nr code:hover {
	    background-color:#fff;
	    -webkit-box-shadow: 1px 1px 1px 1px rgba(0,0,0,0.1);
		box-shadow: 1px 1px 1px 1px rgba(0,0,0,0.1);
	}
</style>