<?php

/**
 * @package         TweetMe
 * @version         1.3.1 Free
 * 
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2020 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

defined('_JEXEC') or die;

$data   = $displayData;
$params = $data->params;
$image  = JURI::getInstance($params->get('image'));

// Convert relative image path to absolute url
if (!in_array($image->getScheme(), array('https', 'http')))
{
	$image = str_replace(array(JURI::root(), JURI::root(true)), '', $image->toString());
	$image = ltrim($image, '/');
	$image = JURI::root() . $image;
}

?>

<span class="tweetme sbImage">
	<a target="_blank" href="<?php echo $data->url->final ?>"
		<?php if (isset($data->url->short)) { ?>data-url="<?php echo $data->url->short ?>"<?php } ?>
		<?php if ($params->get('nofollow', false)) { ?>rel="nofollow"<?php } ?>>
		<img alt="<?php echo $data->text ?>" src="<?php echo $image ?>"/>	
		<span class="sbFoot">
			<?php echo $data->default->get('image.buttontext', JText::_('TWM_CLICK')); ?>
		</span>
	</a>
</span>